Editar Template
curl --request POST \
--url https://apis.vectalk.com.br/api/templates/{templateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"components": [
{}
],
"language": "<string>",
"category": "<string>"
}
'import requests
url = "https://apis.vectalk.com.br/api/templates/{templateId}"
payload = {
"name": "<string>",
"components": [{}],
"language": "<string>",
"category": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', components: [{}], language: '<string>', category: '<string>'})
};
fetch('https://apis.vectalk.com.br/api/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Templates
Editar Template
Edita um template de mensagem existente.
POST
/
templates
/
{templateId}
Editar Template
Requer token de instância. Apenas templates com status
APPROVED ou REJECTED podem ser editados.Parâmetros
Path
string
required
ID do template a ser editado.
Body
string
Nome do template.
array
Componentes atualizados do template (HEADER, BODY, FOOTER, BUTTONS).
string
Código do idioma. Exemplo:
pt_BR.string
Categoria:
MARKETING, UTILITY, AUTHENTICATION.Exemplo
{seu_token}' \
--header 'Content-Type: application/json' \
--data '{
"components": [
{
"type": "BODY",
"text": "Olá {{1}}, seu pedido #{{2}} foi atualizado."
}
]
}'
Resposta
{
"success": true
}
⌘I